%define _altdata_dir %_datadir/alterator

Name: alterator-net-wifi
Version: 0.4
Release: alt2

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for wi-fi connections administration
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9 wpa_supplicant
Requires: alterator-net-common > 0.1-alt3

BuildPreReq: alterator >= 2.9-alt0.10, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for wi-fi connections administration

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_var/www/html/*
%_altdata_dir/ui/*/
%_alterator_backend3dir/*

%changelog
* Tue Dec 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- remove config autocleanup

* Wed Nov 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use scripts from alterator-net-common
- up interface before scanning (need for some ugly wifi cards)

* Mon Sep 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt8
- fix typos in Russian translation

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt7
- Add Russian translation

* Thu May 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- fix wpa supplicant driver selection for ipw2200
- add support both for ASCII and HEX  (as a hash) psk

* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- support both ASCII and HEX wep keys
- don't use qt-browser constraints engine

* Fri May 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- fix work with latest supplicant 0.5.7 (hidden key values)
- enable constraints in GUI

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- fix network parameters saving

* Mon May 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- fix width/height

* Mon May 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add support for edit
- add GUI

* Fri May 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- rename to alterator-net-wifi (main stream now)

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release

